#!/bin/sh

PID=${1} # %p
USER=${2} # %u
GID=${3} # %g
SIG=${4} # %s
TIME=${5} # %t
HOST=${6} # %h
EXE=${7} # %e
BASE_DIR=${8} # base_dir
ORIG=${9} # orig
MINICORE_FILE=${10} # mini
MINICORE_TIME=${11} # minicore_time

START=$(date +%s)
/sbin/minicoredumper ${PID} ${USER} ${GID} ${SIG} ${TIME} ${HOST} ${EXE} /etc/minicoredumper/minicoredumper.cfg.json -d ${BASE_DIR} -o ${MINICORE_FILE}
STOP=$(date +%s)

echo $((${STOP} - ${START})) > ${BASE_DIR}/${MINICORE_TIME}
